Name:           python-sectionproperties
Version:        3.7.0
Release:        %autorelease
Summary:        A python package for the analysis of arbitrary cross-sections using the finite element method.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://sectionproperties.readthedocs.io
Source:         %{pypi_source sectionproperties}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sectionproperties' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sectionproperties
Summary:        %{summary}

%description -n python3-sectionproperties %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sectionproperties dxf,numba,pardiso,rhino


%prep
%autosetup -p1 -n sectionproperties-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dxf,numba,pardiso,rhino


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-sectionproperties -f %{pyproject_files}


%changelog
%autochangelog